using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Configuration.UserSecrets;
using WF_WebAdmin.Model;



namespace WF_WebAdmin.Pages
{
    public partial class Login
    {

        private UserLogin userLogin = new UserLogin();

        [Inject]
        public UserLogin uLogin {  get; set; }

        private string ErrorConnexion;

        private List<UserLogin> usersConnexion;
        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            usersConnexion = await Http.GetFromJsonAsync<List<UserLogin>>($"{NavigationManager.BaseUri}fake-dataUsers.json");

        }


        public void validlogin()
        {
            if (!string.IsNullOrEmpty(userLogin.Name) || !string.IsNullOrEmpty(userLogin.Mdp))
            {
                foreach (var user in usersConnexion)
                {
                    if(userLogin.Name == user.Name && userLogin.Mdp == user.Mdp)
                    {
                        if(user.IsAdmin)
                        {
                            uLogin.Id = userLogin.Id;
                            uLogin.Name = user.Name;
                            uLogin.Image = user.Image;
                            
                            NavigationManager.NavigateTo(NavigationManager.BaseUri + "/accueil");
                            return;
                            
                        }
                        else
                        {
                            ErrorConnexion = "Connexion échouée, le nom ou le mot de passe sont incorrectes";
                        }

                    }
                    else
                    {
                        ErrorConnexion = "Connexion échouée, le nom ou le mot de passe sont incorrectes";
                    }
                }
                
            }
                
        }
    }
}